Manage folders

Create folder

This example demonstrates how to create a folder. A folder can be created either as a top-level one, or within an already existing folder.

HTTP Method

Request URL

POST

https://{base_url}/rest/folders/{parent_folder_id}/folders

The value of parent_folder_id indicates the UUID of the parent folder, where your child folders are located. A value of 0 indicates that this is a top-level folder.

A successful request returns a 201 Created status code. If the query parameter returnEntity was set to true during the request, the newly created folder object is returned in the response body.

Example request and response

Copy
Example Request
curl -X POST "https://{base_url}/rest/folders/0/folders?returnEntity=true" \
  -H "X-Accellion-Version: 28" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "The new Top Level Folder",
    "description": "This is a top-level folder.",
    "secure": false,
    "syncable": false
  }'
Copy

Example Response

{
  "secure": false,
  "maxFileLifetime": 0,
  "permDeleted": false,
  "useFolderQuota": false,
  "source": null,
  "type": "d",
  "parentId": "0",
  "path": "The new Top Level Folder",
  "expire": 0,
  "maxFolderExpiration": 0,
  "permalink": "https://content.kiteworks.com/w/f-b333c444-d555-e666-f777-a888999000bbb",
  "id": "b333c444-d555-e666-f777-a888999000bbb",
  "created": "2026-02-04T11:14:18+0000",
  "description": "This is a top-level folder.",
  "syncable": false,
  "fileLifetime": 0,
  "modified": "2026-02-04T11:14:18+0000",
  "deleted": false,
  "name": "The new Top Level Folder",
  "userId": "a111b222-c333-d444-e555-f666777888aaa"
}

Python code sample

List top level folders

This example demonstrates how to retrieve a list of top level folders

HTTP Method

Request URL

GET

https://{base_url}/rest/folders/top

A successful request returns a 200 OK status code. The response body contains an array of JSON representations of the folders.

Example request and response

Copy
Example Request
curl -X GET "{base_url}/rest/folders/top" \
  -H "X-Accellion-Version: 28" \
  -H "Authorization: Bearer {access_token}" \
  -H "Content-Type: application/json"
Copy

Example Response

[
  {
    "useFolderQuota": false,
    "parentId": "0",
    "userId": "a111b222-c333-d444-e555-f666777888aaa",
    "description": "My folder for testing purposes",
    "permDeleted": false,
    "id": "b111c222-d333-e444-f555-a666777888bbb",
    "path": "My Folder",
    "isShared": true,
    "permalink": "https://content.example.com/w/f-b111c222-d333-e444-f555-a666777888bbb",
    "modified": "2025-11-07T15:06:25+0000",
    "creator": {
      "id": "a111b222-c333-d444-e555-f666777888aaa",
      "name": "jane.doe@example.com",
      "profileIcon": "a111b222-c333-d444-e555-f666777888aaa",
      "email": "jane.doe@example.com"
    },
    "type": "d",
    "name": "My Folder",
    "deleted": false,
    "maxFolderExpiration": 0,
    "source": null,
    "fileLifetime": 0,
    "syncable": true,
    "created": "2014-01-20T23:01:39+0000",
    "expire": 0,
    "maxFileLifetime": 0,
    "secure": false
  }
  ...
]

Python code sample

List child folders

This example explains how to retrieve a list of child folders for a specific parent folder.

HTTP Method

Request URL

GET

https://{base_url}/rest/folders/{parent_folder_id}/folders

The value of parent_folder_id indicates the UUID of the parent folder, where your child folders are located. We can use the ID of the top folder we retrieved in the previous example.

A successful request returns a 200 OK status code. The response body contains an array of JSON representations of the child folders.

Example request and response

Copy

Example Request

curl -X GET "$KW_INSTANCE_URL/rest/folders/b111c222-d333-e444-f555-a666777888bbb/folders" \
  -H "X-Accellion-Version: 28" \
  -H "Authorization: Bearer $KW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
Copy

Example response

{
  "id": "c222d333-e444-f555-a666-b777888999ccc",
  "created": "2025-05-07T13:30:08+0000",
  "deleted": false,
  "permDeleted": false,
  "expire": 0,
  "modified": "2025-05-07T13:30:21+0000",
  "name": "My Sub-folder",
  "parentId": "b111c222-d333-e444-f555-a666777888bbb",
  "userId": "a111b222-c333-d444-e555-f666777888aaa",
  "permalink": "https://content.example.com/w/f-c222d333-e444-f555-a666-b777888999ccc",
  "source": null,
  "type": "d",
  "description": "",
  "syncable": true,
  "fileLifetime": 10,
  "useFolderQuota": false,
  "secure": false,
  "path": "My Folder/My Sub-folder",
  "maxFolderExpiration": 0,
  "maxFileLifetime": 0
}

Python code sample

List files in folder

This example demonstrates how to retrieve a list of files contained within a specific folder.

HTTP Method

Request URL

GET

https://{base_url}/rest/folders/{folder_id}/files

The value of folder_id indicates the UUID of the folder, which contains the files you are retrieving. We can use the ID of the folder we retrieved in the previous example.

A successful request returns a 200 OK status code. The response body contains an array of JSON representations of the files within the specified folder.

Example request and response

Copy

Example Request

curl -X GET "${KW_INSTANCE_URL}/rest/folders/c222d333-e444-f555-a666-b777888999ccc/files" \
  -H "Authorization: Bearer ${KW_ACCESS_TOKEN}" \
  -H "X-Accellion-Version: 28" \
  -H "Content-Type: application/json"
Copy

Example response

[
  {
    "avStatus": "allowed",
    "tags": [],
    "deleted": false,
    "sharedBy": null,
    "id": "f333a444-b555-c666-d777-e888999000fff
",
    "dlpStatus": "allowed",
    "overriddenExpire": false,
    "path": "My Folder/My Sub-folder/my-file.csv"
    "originalFileId": null,
    "creator": {
      "profileIcon": "a111b222-c333-d444-e555-f666777888aaa",
      "name": "John Doe",
      "id": "a111b222-c333-d444-e555-f666777888aaa",
      "email": "user@example.com"
    },
    "fingerprint": "c8e1128f94a57129f59aa39f230c7844",
    "pushed": false,
    "secure": false,
    "sharedTime": null,
    "wopiapp": null,
    "modified": "2026-01-21T20:43:42+0000",
    "modifier": {
      "profileIcon": "a111b222-c333-d444-e555-f666777888aaa",
      "name": "John Doe",
      "id": "a111b222-c333-d444-e555-f666777888aaa",
      "email": "user@example.com"
    },
    "locked": false,
    "parentId": "c222d333-e444-f555-a666-b777888999ccc",
    "created": "2026-01-21T20:43:42+0000",
    "isShared": false,
    "mime": "text/plain",
    "type": "f",
    "size": 30,
    "fingerprints": [
      {
        "algo": "sha3-256",
        "hash": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
      },
      {
        "algo": "md5",
        "hash": "bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
      }
    ],
    "source": null,
    "clientModified": null,
    "adminQuarantineStatus": "allowed",
    "name": "my-file.csv",
    "userId": "a111b222-c333-d444-e555-f666777888aaa",
    "permDeleted": false,
    "permalink": "https://content.example.com/w/f-f333a444-b555-c666-d777-e888999000fff
",
    "lockUser": null,
    "clientCreated": null,
    "safeEdit": {
      "safeEditLocked": false,
      "user": null
    },
    "expire": 0
  }
]

Python code sample